#*******************************************************************************
#* FILE PURPOSE: Top level makefile for Creating Platform Libraries
#*******************************************************************************
#* FILE NAME: makefile
#*
#* DESCRIPTION: Defines Compiler tools paths, libraries , Build Options 
#*
#*
#*******************************************************************************
#*
# (Mandatory) Specify where various tools are installed.

# PHONY Targets
.PHONY: all clean

all:
	make -C Lite all
	make -C Lite_Release all
	make -C Lite_BE all
	make -C Lite_Release_BE all
	make -C Debug all
	make -C Debug_BE all
	make -C Release all
	make -C Release_BE all

clean:
	make -C Lite clean
	make -C Lite_Release clean
	make -C Lite_BE clean
	make -C Lite_Release_BE clean
	make -C Debug clean
	make -C Debug_BE clean
	make -C Release clean
	make -C Release_BE clean

